BEGIN	{
#  $Header: /home/westiv/iorate/RCS/gen_iops.awk,v 3.0 2011/06/18 14:30:35 westiv Exp westiv $
	    FS = "\t" ; cur_test = 0 ;
	}
/^test/		{
	    next ;
	}
/^[0-9]/	{
	    if ( cur_test == $1 ) {	# add to sum
		total_io += $13 ;
	    } else {			# start new test - reset counts
		if ( cur_test > 0 ) {	# print totals if valid
		    printf( "Target test %d at %d iops;\n", cur_test, total_io / meas_sec ) ;
		} ;

		if ( $1 != cur_test + 1 ) { # SOMETHING IS WRONG
		    printf( "Bad test number after test %d (got %d)\n", cur_test, $1 ) ;
		};

		cur_test = $1 ;
		meas_sec = $6 ;

		total_io = $13 ;
	    } ;
	    next ;
	}
END	{	# Print total for last test
		    printf( "Target test %d at %d iops;\n", cur_test, total_io / meas_sec ) ;
	}
